package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.BankCusbankinfo;
import com.muchinfo.mtp3pojos.vo.bankaccountsign.*;

import javax.servlet.http.HttpServletRequest;

public interface IBankAccountSignService {
    PageResult<AccountSignQueryResult> query(AccountSignQueryParam taAccountQueryParam, HttpServletRequest request);

    PageResult<PutOrInAmountQueryResult> queryPutOrIn(PutOrInAmountQueryParam param, HttpServletRequest request);

    AjaxResult<PutOrInAmountQueryResultDetail> queryPutOrInDetail(String accountcode, String cusbankid, String tradedate, String exchticket, HttpServletRequest request);

    AjaxResult queryPutOrInExport(PutOrInAmountQueryParam param, HttpServletRequest request);

    AjaxResult<BankAccountsignResult> getSignBankById(String accountcode, String cusbankid, String applyexchticket, HttpServletRequest request);

    AjaxResult dealAccountSign(HttpServletRequest request, AccountSignParam param);

    AjaxResult<BankCusbankinfo> dealAccountSignInit(Long accountid, HttpServletRequest request);
}
